<div class="box" dir="rtl">
  <div class="title">
    <div>
      <p>
        تکمیل اطلاعات مربوط به انجمن علمی
      </p>
      <p>
        <a (click)="goMainRegister()">
          <span>بازگشت</span>
          <fa-icon [icon]="faAngleLeft"></fa-icon>
        </a>
      </p>
    </div>
  </div>

  <div class="form">
    <form [formGroup]="unionDetailForm" (ngSubmit)="sendUnionDetail()">
      <!-- name -->
      <div class="name">
        <input
          id="unionName"
          name="unionName"
          formControlName="name"
          type="text"
          placeholder="نام انجمن را وارد نمایید"
          dir="rtl"
          required
          autocomplete="off"
        />
      </div>

      <!-- select -->
      <div class="select">
        <!-- union type -->
        <div class="union-type">
          <input
            type="text"
            formControlName="unionType"
            name="unionTypes"
            class="select-input"
            placeholder="انتخاب نوع انجمن"
            autocomplete="off"
            (ngModelChange)="filterUnionType()"
          />
          <ul class="dropdown" id="unionTypes">
            <li
              *ngFor="let unionType of filteredUnionTypes"
              (click)="setUnionTypeValue(unionType)"
            >
              {{ unionType.name }}
            </li>
          </ul>
        </div>

        <!-- field -->
        <div class="field">
          <input
            type="text"
            formControlName="field"
            name="fields"
            class="select-input"
            placeholder="انتخاب رشته"
            autocomplete="off"
            (ngModelChange)="filterField()"
          />
          <ul class="dropdown" id="fields">
            <li
              *ngFor="let field of filteredFields"
              (click)="setFieldValue(field)"
            >
              {{ field.name }}
            </li>
          </ul>
        </div>

        <!-- university -->
        <div class="university">
          <input
            type="text"
            formControlName="university"
            name="universities"
            class="select-input"
            placeholder="انتخاب دانشگاه"
            autocomplete="off"
            (ngModelChange)="filterUniversity()"
          />
          <ul class="dropdown" id="universities">
            <li
              *ngFor="let university of filteredUniversities"
              (click)="setUniversityValue(university)"
            >
              {{ university.name }}
            </li>
          </ul>
        </div>
      </div>

      <!-- year and telegram -->
      <div class="year-telegram">
        <!-- year -->
        <div>
          <input
            type="number"
            name="establishmentYear"
            id="establishmentYear"
            formControlName="establishmentYear"
            placeholder="سال تائسیس : 1390"
            dir="ltr"
            required
            autocomplete="off"
          />
        </div>
        <!-- telegram -->
        <div>
          <input
            type="text"
            name="telegram"
            id="telegram"
            formControlName="telegram"
            placeholder="آیدی تلگرام"
            dir="ltr"
            autocomplete="off"
          />
        </div>
      </div>

      <!-- address div -->
      <div class="address">
        <input
          type="text"
          name="address"
          id="address"
          formControlName="address"
          dir="rtl"
          placeholder="آدرس را وارد کنید"
          required
          autocomplete="off"
        />
      </div>

      <!-- about div -->
      <div class="about-union">
        <input
          type="text"
          name="aboutUnion"
          id="aboutUnion"
          formControlName="aboutUnion"
          dir="rtl"
          placeholder="توضیحاتی درباره انجمن"
          required
          autocomplete="off"
        />
      </div>

      <!-- slogan div -->
      <div class="slogan">
        <input
          type="text"
          name="slogan"
          id="slogan"
          formControlName="slogan"
          dir="rtl"
          placeholder="شعار انجمن"
          autocomplete="off"
        />
      </div>

      <div class="images">
        <div class="images-box">
          <div class="cover-img">
            <div class="img-title">
              <p>کاور :</p>
            </div>
            <div
              class="img"
              onclick="document.getElementById('coverImage').click();"
              title="انتخاب عکس"
            >
              <img
                [src]="coverPreviewUrl"
                *ngIf="coverPreviewUrl"
                height="300"
              />
            </div>
            <input
              type="file"
              name="coverImage"
              id="coverImage"
              (change)="coverFileProgress($event)"
              style="display: none;"
              accept="image/*"
            />
          </div>
          <div class="profile-img">
            <div class="img-title">
              <p>پروفایل :</p>
            </div>
            <div
              class="img"
              onclick="document.getElementById('profileImage').click();"
              title="انتخاب عکس"
            >
              <img
                [src]="profilePreviewUrl"
                *ngIf="profilePreviewUrl"
                height="300"
              />
            </div>
            <input
              type="file"
              name="profileImage"
              id="profileImage"
              (change)="profileFileProgress($event)"
              style="display: none;"
              accept="image/*"
            />
          </div>
        </div>
        <p
          class="image-error"
          *ngIf="coverImagePicked && !coverImageSizeIsValid"
        >
          - حجم عکس کاور باید از 5 مگابایت کمتر باشد.
        </p>
        <p
          class="image-error"
          *ngIf="profileImagePicked && !profileImageSizeIsValid"
        >
          - حجم عکس پروفایل باید از 5 مگابایت کمتر باشد.
        </p>
      </div>
      <!-- errors -->
      <div
        class="errors"
        *ngIf="unionDetailForm.invalid && unionDetailForm.touched"
      >
        <div
          *ngIf="
            unionDetailFormControls.name.invalid &&
            unionDetailFormControls.name.touched
          "
        >
          - نام انجمن را وارد کنید.
        </div>
        <div
          *ngIf="
            unionDetailFormControls.unionType.touched &&
            unionDetailFormControls.unionType.invalid
          "
        >
          - نوع انجمن را انتخاب کنید.
        </div>
        <div
          *ngIf="
            unionDetailFormControls.field.touched &&
            unionDetailFormControls.field.invalid
          "
        >
          - رشته خود را انتخاب کنید.
        </div>
        <div
          *ngIf="
            unionDetailFormControls.university.touched &&
            unionDetailFormControls.university.invalid
          "
        >
          - دانشگاه را انتخاب کنید.
        </div>
        <div
          *ngIf="
            unionDetailFormControls.establishmentYear.touched &&
            unionDetailFormControls.establishmentYear.invalid
          "
        >
          - سال تائسیس انجمن را وارد کنید.
        </div>
        <div
          *ngIf="
            unionDetailFormControls.address.touched &&
            unionDetailFormControls.address.invalid
          "
        >
          - آدرس انجمن خود را وارد کنید.
        </div>
        <div
          *ngIf="
            unionDetailFormControls.aboutUnion.touched &&
            unionDetailFormControls.aboutUnion.invalid
          "
        >
          - توضیحاتی درباره انجمن خود وارد کنید.
        </div>
      </div>
      <div class="errors" *ngIf="connectionError">
        <div>- خطا در ارتباط با سرور.</div>
      </div>

      <div class="login-btn">
        <button
          type="submit"
          [disabled]="
            !unionDetailForm.valid || !profileImagePicked || !coverImagePicked
          "
        >
          <span>ارسال اطلاعات</span>
          <fa-icon [icon]="faLongArrowAltLeft"></fa-icon>
        </button>
      </div>
    </form>
  </div>
</div>
